Author Topic: Do you want autocad speak ?  (Read 41181 times)

0 Members and 1 Guest are viewing this topic.

Patrick_35

  • Bull Frog
  • Posts: 276
  • Rennes, France
Do you want autocad speak ?
« on: January 17, 2007, 07:42:04 AM »
Hi
Just for the fun  :-)

Code: [Select]
(setq sapi (vlax-create-object "Sapi.SpVoice"))
(vlax-invoke sapi "Speak" "Do you want autocad speak ?" 0)
(vlax-release-object sapi)

@+
The shape even of the pyramids of Egypt shows that already the workmen tended to make some less and less.
Will Cuppy, 1884-1949.

Guest

  • Guest
Re: Do you want autocad speak ?
« Reply #1 on: January 17, 2007, 09:16:42 AM »
Hehehe... kinda cool!

John Kaul (Se7en)

  • Administrator
  • Needs a day job
  • Posts: 9268
Re: Do you want autocad speak ?
« Reply #2 on: January 17, 2007, 10:06:53 AM »
*lol* Awesome!

  (setq sapi (vlax-create-object "Sapi.SpVoice"))
  (vlax-invoke sapi "Speak" "Would you like to play a game ?" 0)
  (vlax-release-object sapi)
« Last Edit: January 17, 2007, 10:08:43 AM by Se7en »
“Common sense is not so common.” ~Voltaire

--> Donate to TheSwamp.org <--

Guest

  • Guest
Re: Do you want autocad speak ?
« Reply #3 on: January 17, 2007, 10:22:04 AM »
'Flush the bombers, get the subs in launch mode. We are at DEFCON 1!'

Dommy2Hotty

  • Swamp Rat
  • Posts: 1127
Re: Do you want autocad speak ?
« Reply #4 on: January 17, 2007, 10:23:25 AM »
Code: [Select]
(DEFUN c:SAPI ()
  (setq sapi (vlax-create-object "Sapi.SpVoice"))
  (vlax-invoke sapi "Speak" "Would you like to play Global Thermo Nuclear War ?" 0)
  (vlax-release-object sapi)
  )

Krushert

  • Seagull
  • Posts: 13574
  • FREE BEER Tomorrow!!
Re: Do you want autocad speak ?
« Reply #5 on: January 17, 2007, 10:33:03 AM »
Code: [Select]
(DEFUN c:SAPI ()
  (setq sapi (vlax-create-object "Sapi.SpVoice"))
  (vlax-invoke sapi "Speak" "Would you like to play Global Thermo Nuclear War ?" 0)
  (vlax-release-object sapi)
  )

Cool. 
At first it did not work.  But then realize that the speakers where turn off.  Dooh!   :oops:

BTW,
 Can a klaxon sound of a Navy sub be incorporated?
Woot. DIVE!  Woot. DIVE!  Woot. DIVE!
« Last Edit: January 17, 2007, 10:37:23 AM by Krushert »
I + XI = X is true ...
... if you change your perspective.

iliekater

  • Guest
Re: Do you want autocad speak ?
« Reply #6 on: January 17, 2007, 01:16:56 PM »
Ohhhhheeee ... Ha ha ha !   :lmao:

I couldn't hold my belly due to such a loughing !

But , tell me , what is it based on ?

Josh Nieman

  • Guest
Re: Do you want autocad speak ?
« Reply #7 on: January 17, 2007, 01:32:04 PM »
hahahhaha.

awesome fun.


....god I'm a geek.

Krushert

  • Seagull
  • Posts: 13574
  • FREE BEER Tomorrow!!
Re: Do you want autocad speak ?
« Reply #8 on: January 17, 2007, 01:45:42 PM »
....god I'm a geek.
First step to recovery is admittance.
 :-D :-)
I + XI = X is true ...
... if you change your perspective.

SomeCallMeDave

  • Guest
Re: Do you want autocad speak ?
« Reply #9 on: January 17, 2007, 01:56:33 PM »
Very cool Patrick.  Thanks for posting.

Now, lets have some fun  :)

Code: [Select]
(defun c:SpeakLayers()
    (setq layList (list (cdr (assoc 2 (tblnext "LAYER" T)))))
    (while (setq layName (cdr (assoc 2 (tblnext "LAYER"))))
       (setq LayList  (append LayList (list layname)))
     )
     (setq sapi (vlax-create-object "Sapi.SpVoice"))
     (mapcar '(lambda(x) (vlax-invoke sapi "Speak" x 0)) layList)
     (vlax-release-object sapi)
 )

But don't try this in a big drawing.  Neither Control-C or Esc will halt execution.

Krushert

  • Seagull
  • Posts: 13574
  • FREE BEER Tomorrow!!
Re: Do you want autocad speak ?
« Reply #10 on: January 17, 2007, 02:22:27 PM »
Very cool Patrick.  Thanks for posting.

Now, lets have some fun  :)

Code: [Select]
(defun c:SpeakLayers()
    (setq layList (list (cdr (assoc 2 (tblnext "LAYER" T)))))
    (while (setq layName (cdr (assoc 2 (tblnext "LAYER"))))
       (setq LayList  (append LayList (list layname)))
     )
     (setq sapi (vlax-create-object "Sapi.SpVoice"))
     (mapcar '(lambda(x) (vlax-invoke sapi "Speak" x 0)) layList)
     (vlax-release-object sapi)
 )

But don't try this in a big drawing.  Neither Control-C or Esc will halt execution.


The evil side takes over.  :evil:

Add the words "Deleting all objects on Layer [what]."  Then install it on coworkers computer.
« Last Edit: January 17, 2007, 02:23:47 PM by Krushert »
I + XI = X is true ...
... if you change your perspective.

CECE_CAD

  • Guest
Re: Do you want autocad speak ?
« Reply #11 on: January 17, 2007, 02:25:56 PM »
That is really funny!

T.Willey

  • Needs a day job
  • Posts: 5218
Re: Do you want autocad speak ?
« Reply #12 on: January 17, 2007, 02:27:08 PM »
Very cool Patrick.  Thanks for posting.

Now, lets have some fun  :)

Code: [Select]
(defun c:SpeakLayers()
    (setq layList (list (cdr (assoc 2 (tblnext "LAYER" T)))))
    (while (setq layName (cdr (assoc 2 (tblnext "LAYER"))))
       (setq LayList  (append LayList (list layname)))
     )
     (setq sapi (vlax-create-object "Sapi.SpVoice"))
     (mapcar '(lambda(x) (vlax-invoke sapi "Speak" x 0)) layList)
     (vlax-release-object sapi)
 )

But don't try this in a big drawing.  Neither Control-C or Esc will halt execution.


The evil side takes over.  :evil:

Add the words "Deleting all objects on Layer [what]."  Then install it on coworkers computer.
or
Add a delay between the sayings, and then add the works
"Deleting all objects one layer x unless you yell stop"
Then after the wait say.
"Didn't hear you, proceeding with deletion."
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

Guest

  • Guest
Re: Do you want autocad speak ?
« Reply #13 on: January 17, 2007, 02:49:10 PM »
Well this thread certainly got the creative juices flowing...

Let's have some fun with the MS Agent as well!

CECE_CAD

  • Guest
Re: Do you want autocad speak ?
« Reply #14 on: January 17, 2007, 03:06:56 PM »
Never used MS Agent..What does it do and how do you use it?